{
    "header": {
        "version": 1,
        "type": "record"
    },
    "body": {
        "record1": {
            "<1>": "declare function sched_rpt1, send_event, msg, ex_vm_rem\r\ndeclare subroutine end_dialog\r\n$insert msg_equates\r\n\r\nCusts = .customer_info->array<1>\r\nCusts = ex_vm_rem(Custs)\r\n\r\nDateFrom = .date_from->text\r\nDateThru = .date_thru->text\r\n\r\nif DateFrom or DateThru then\r\n   RetVal = DateFrom:'*':DateThru:'*'\r\n   end_dialog( @window, RetVal )\r\nend else\r\n   MsgInfo = ''\r\n   MsgInfo<mtext$> = 'You must have a from date or a thru date.'\r\n   MsgInfo<micon$> = '!'\r\n   Void = msg( '', MsgInfo )\r\nend\r\nreturn 0\r\n"
        }
    }
}